Bug 119993 - Linksys WPC11 not configured by kudzu
Summary: Linksys WPC11 not configured by kudzu
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-04 21:03 UTC by Wayne Walker
Modified: 2014-03-17 02:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-13 15:10:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pcmcia restart kernel message output. (1.29 KB, text/plain)
2004-04-07 02:00 UTC, Wayne Walker
no flags Details
/etc/pcmcia/config (41.98 KB, text/plain)
2004-04-07 03:19 UTC, Wayne Walker
no flags Details

Description Wayne Walker 2004-04-04 21:03:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
I have a Linksys WPC 11 v3 wireless card and a Thinkpad 600X notebook.

When I insert the WPC11 card the orinoco_cs module is loaded, but no
new interface (eth0 or other) shows up.

Kudzu show this when the card is in:

[ (0) wwalker@traveller:~ ]$ sudo kudzu -p -b pcmcia
-
class: NETWORK
bus: PCMCIA
detached: 0
device: eth0
driver: orinoco_cs
desc: "Linksys Instant Wireless Network PC Card WPC11 v3"
vendorId: 0274
deviceId: 1613
function: 0
slot: 1


Version-Release number of selected component (if applicable):
kudzu-1.1.53-1

How reproducible:
Always

Steps to Reproduce:
1. Insert WPC11 v3 Linksys wireless (802.11b) card    

Actual Results:  ifconfig -a shows no eth or wlan interfaces
dmesg shows that orinoco_cs was loaded, but nothing else



Expected Results:  an interface should have shown up and DHCP should
have then happened.

Additional info:

Thinkpad 600X
Fedora Core 2 test2

Comment 1 Bill Nottingham 2004-04-05 19:06:32 UTC
Do you have a config file for it?


Comment 2 Wayne Walker 2004-04-05 22:50:20 UTC
Uh, which config file?  one in wireless, or modules.conf?

Comment 3 Bill Nottingham 2004-04-06 02:59:08 UTC
/etc/sysconfig/network-scripts/ifcfg-eth0 (or whatever the device name is)

Comment 4 Wayne Walker 2004-04-06 23:50:39 UTC
[ (0) wwalker@traveller:~ ]$ cat /etc/sysconfig/network-scripts/ifcfg-eth0
# Linksys Instant Wireless Network PC Card WPC11 v3
DEVICE=eth0
ONBOOT=yes
BOOTPROTO=dhcp

Comment 5 Bill Nottingham 2004-04-07 01:03:30 UTC
What sort of kernel messages do you get when you insert the card?

Comment 6 Wayne Walker 2004-04-07 01:08:06 UTC
I left the card at the office today.  But all it shows in dmesg is the
ident lines from orinoco and orinoco_cs modules, nothing else.

Apr  4 15:07:08 traveller kernel: orinoco.c 0.13e (David Gibson
<hermes@gibson.dropbear.id.au> and others)
Apr  4 15:07:08 traveller kernel: orinoco_cs.c 0.13e (David Gibson
<hermes@gibson.dropbear.id.au> and others)


Comment 7 Bill Nottingham 2004-04-07 01:21:06 UTC
What happens if you plug it in and then do 'service pcmcia restart'?

Comment 8 Wayne Walker 2004-04-07 02:00:19 UTC
Created attachment 99176 [details]
pcmcia restart kernel message output.

no idea why it's trying to load prism2.

Comment 9 Bill Nottingham 2004-04-07 02:15:14 UTC
Can you attach your /etc/pcmcia/config?

Comment 10 Wayne Walker 2004-04-07 03:19:04 UTC
Created attachment 99179 [details]
/etc/pcmcia/config

Comment 11 Bill Nottingham 2004-04-07 04:27:01 UTC
Odd, there's really no reason it should be trying prism2. That's where
the problem lies.

No references to prism2 in /etc/modprobe.conf?

Comment 12 Wayne Walker 2004-11-13 15:10:35 UTC
Reinstalled with FC2 final problem went away, worked fine.


Note You need to log in before you can comment on or make changes to this bug.